Index: /XIOS/trunk/src/config/axis_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/axis_attribute.conf	(revision 665)
+++ /XIOS/trunk/src/config/axis_attribute.conf	(revision 666)
@@ -5,8 +5,5 @@
 DECLARE_ATTRIBUTE(StdString, unit)
 
-DECLARE_ATTRIBUTE(int,       size)
-DECLARE_ATTRIBUTE(int,       zoom_begin)
-DECLARE_ATTRIBUTE(int,       zoom_end)
-DECLARE_ATTRIBUTE(int,       zoom_size)
+DECLARE_ATTRIBUTE(int,       n_glo)
 DECLARE_ENUM2(positive, up, down)
 
@@ -22,6 +19,6 @@
 
 /*LOCAL */
-DECLARE_ATTRIBUTE(int,       ibegin)
-DECLARE_ATTRIBUTE(int,       ni)
+DECLARE_ATTRIBUTE(int,       begin)
+DECLARE_ATTRIBUTE(int,       n)
 
 /* LOCAL */
Index: /XIOS/trunk/src/config/domain_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/domain_attribute.conf	(revision 665)
+++ /XIOS/trunk/src/config/domain_attribute.conf	(revision 666)
@@ -37,11 +37,8 @@
 
 /* LOCAL */
-DECLARE_ATTRIBUTE(int             , data_n_index)
 DECLARE_ARRAY(int, 1 , data_i_index)
 DECLARE_ARRAY(int, 1,  data_j_index)
 
 /* LOCAL */
-//DECLARE_ARRAY(double, 1, lonvalue)
-//DECLARE_ARRAY(double, 1, latvalue)
 DECLARE_ARRAY(double, 1, lonvalue_1d)
 DECLARE_ARRAY(double, 1, latvalue_1d)
@@ -50,6 +47,4 @@
 
 DECLARE_ATTRIBUTE(int, nvertex)
-//DECLARE_ARRAY(double, 2, bounds_lon)
-//DECLARE_ARRAY(double, 2, bounds_lat)
 DECLARE_ARRAY(double, 2, bounds_lon_1d)
 DECLARE_ARRAY(double, 2, bounds_lat_1d)
Index: /XIOS/trunk/src/distribution_client.cpp
===================================================================
--- /XIOS/trunk/src/distribution_client.cpp	(revision 665)
+++ /XIOS/trunk/src/distribution_client.cpp	(revision 666)
@@ -99,5 +99,5 @@
   for (int k = 0; k < axisSize; ++k)
   {
-    int n = axisList[k]->ni;
+    int n = axisList[k]->n;
     nIndexAxis_[k].resize(n);
     for (int i = 0; i < n; ++i)
@@ -221,8 +221,8 @@
     else // So it's an axis
     {
-      nLocal_.at(indexMap_[idx]) = axisList[axisIndex]->ni.getValue();
-      nGlob_.at(indexMap_[idx]) = axisList[axisIndex]->size.getValue();
+      nLocal_.at(indexMap_[idx]) = axisList[axisIndex]->n.getValue();
+      nGlob_.at(indexMap_[idx]) = axisList[axisIndex]->n_glo.getValue();
       nBeginLocal_.at(indexMap_[idx]) = 0;
-      nBeginGlobal_.at(indexMap_[idx]) = axisList[axisIndex]->ibegin.getValue();
+      nBeginGlobal_.at(indexMap_[idx]) = axisList[axisIndex]->begin.getValue();
       nZoomBegin_.at((indexMap_[idx])) = axisList[axisIndex]->global_zoom_begin;
       nZoomEnd_.at((indexMap_[idx])) = axisList[axisIndex]->global_zoom_begin + axisList[axisIndex]->global_zoom_size-1;
@@ -636,5 +636,5 @@
 {
    int tempI = dataIndex + dataBegin;
-   return ((tempI-1)%ni);
+   return ((tempI)%ni);
 }
 
Index: /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 665)
+++ /XIOS/trunk/src/interface/c_attr/icaxis_attr.cpp	(revision 666)
@@ -44,4 +44,27 @@
 
 
+  void cxios_set_axis_begin(axis_Ptr axis_hdl, int begin)
+  {
+    CTimer::get("XIOS").resume();
+    axis_hdl->begin.setValue(begin);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axis_begin(axis_Ptr axis_hdl, int* begin)
+  {
+    CTimer::get("XIOS").resume();
+    *begin = axis_hdl->begin.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axis_begin(axis_Ptr axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axis_hdl->begin.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axis_bounds(axis_Ptr axis_hdl, double* bounds, int extent1, int extent2)
   {
@@ -140,27 +163,4 @@
 
 
-  void cxios_set_axis_ibegin(axis_Ptr axis_hdl, int ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->ibegin.setValue(ibegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_ibegin(axis_Ptr axis_hdl, int* ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    *ibegin = axis_hdl->ibegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_ibegin(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->ibegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axis_long_name(axis_Ptr axis_hdl, const char * long_name, int long_name_size)
   {
@@ -214,4 +214,50 @@
 
 
+  void cxios_set_axis_n(axis_Ptr axis_hdl, int n)
+  {
+    CTimer::get("XIOS").resume();
+    axis_hdl->n.setValue(n);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axis_n(axis_Ptr axis_hdl, int* n)
+  {
+    CTimer::get("XIOS").resume();
+    *n = axis_hdl->n.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axis_n(axis_Ptr axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axis_hdl->n.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_axis_n_glo(axis_Ptr axis_hdl, int n_glo)
+  {
+    CTimer::get("XIOS").resume();
+    axis_hdl->n_glo.setValue(n_glo);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axis_n_glo(axis_Ptr axis_hdl, int* n_glo)
+  {
+    CTimer::get("XIOS").resume();
+    *n_glo = axis_hdl->n_glo.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axis_n_glo(axis_Ptr axis_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axis_hdl->n_glo.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axis_name(axis_Ptr axis_hdl, const char * name, int name_size)
   {
@@ -240,27 +286,4 @@
 
 
-  void cxios_set_axis_ni(axis_Ptr axis_hdl, int ni)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->ni.setValue(ni);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_ni(axis_Ptr axis_hdl, int* ni)
-  {
-    CTimer::get("XIOS").resume();
-    *ni = axis_hdl->ni.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_ni(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->ni.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axis_positive(axis_Ptr axis_hdl, const char * positive, int positive_size)
   {
@@ -289,27 +312,4 @@
 
 
-  void cxios_set_axis_size(axis_Ptr axis_hdl, int size)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->size.setValue(size);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_size(axis_Ptr axis_hdl, int* size)
-  {
-    CTimer::get("XIOS").resume();
-    *size = axis_hdl->size.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_size(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->size.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axis_standard_name(axis_Ptr axis_hdl, const char * standard_name, int standard_name_size)
   {
@@ -387,72 +387,3 @@
      return isDefined;
   }
-
-
-  void cxios_set_axis_zoom_begin(axis_Ptr axis_hdl, int zoom_begin)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->zoom_begin.setValue(zoom_begin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_zoom_begin(axis_Ptr axis_hdl, int* zoom_begin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_begin = axis_hdl->zoom_begin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_zoom_begin(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->zoom_begin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_axis_zoom_end(axis_Ptr axis_hdl, int zoom_end)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->zoom_end.setValue(zoom_end);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_zoom_end(axis_Ptr axis_hdl, int* zoom_end)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_end = axis_hdl->zoom_end.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_zoom_end(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->zoom_end.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_axis_zoom_size(axis_Ptr axis_hdl, int zoom_size)
-  {
-    CTimer::get("XIOS").resume();
-    axis_hdl->zoom_size.setValue(zoom_size);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axis_zoom_size(axis_Ptr axis_hdl, int* zoom_size)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_size = axis_hdl->zoom_size.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axis_zoom_size(axis_Ptr axis_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axis_hdl->zoom_size.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
 }
Index: /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 665)
+++ /XIOS/trunk/src/interface/c_attr/icaxisgroup_attr.cpp	(revision 666)
@@ -44,4 +44,27 @@
 
 
+  void cxios_set_axisgroup_begin(axisgroup_Ptr axisgroup_hdl, int begin)
+  {
+    CTimer::get("XIOS").resume();
+    axisgroup_hdl->begin.setValue(begin);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axisgroup_begin(axisgroup_Ptr axisgroup_hdl, int* begin)
+  {
+    CTimer::get("XIOS").resume();
+    *begin = axisgroup_hdl->begin.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axisgroup_begin(axisgroup_Ptr axisgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axisgroup_hdl->begin.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axisgroup_bounds(axisgroup_Ptr axisgroup_hdl, double* bounds, int extent1, int extent2)
   {
@@ -166,27 +189,4 @@
 
 
-  void cxios_set_axisgroup_ibegin(axisgroup_Ptr axisgroup_hdl, int ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->ibegin.setValue(ibegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_ibegin(axisgroup_Ptr axisgroup_hdl, int* ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    *ibegin = axisgroup_hdl->ibegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_ibegin(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->ibegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axisgroup_long_name(axisgroup_Ptr axisgroup_hdl, const char * long_name, int long_name_size)
   {
@@ -240,4 +240,50 @@
 
 
+  void cxios_set_axisgroup_n(axisgroup_Ptr axisgroup_hdl, int n)
+  {
+    CTimer::get("XIOS").resume();
+    axisgroup_hdl->n.setValue(n);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axisgroup_n(axisgroup_Ptr axisgroup_hdl, int* n)
+  {
+    CTimer::get("XIOS").resume();
+    *n = axisgroup_hdl->n.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axisgroup_n(axisgroup_Ptr axisgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axisgroup_hdl->n.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
+  void cxios_set_axisgroup_n_glo(axisgroup_Ptr axisgroup_hdl, int n_glo)
+  {
+    CTimer::get("XIOS").resume();
+    axisgroup_hdl->n_glo.setValue(n_glo);
+    CTimer::get("XIOS").suspend();
+  }
+
+  void cxios_get_axisgroup_n_glo(axisgroup_Ptr axisgroup_hdl, int* n_glo)
+  {
+    CTimer::get("XIOS").resume();
+    *n_glo = axisgroup_hdl->n_glo.getInheritedValue();
+    CTimer::get("XIOS").suspend();
+  }
+
+  bool cxios_is_defined_axisgroup_n_glo(axisgroup_Ptr axisgroup_hdl)
+  {
+     CTimer::get("XIOS").resume();
+     bool isDefined = axisgroup_hdl->n_glo.hasInheritedValue();
+     CTimer::get("XIOS").suspend();
+     return isDefined;
+  }
+
+
   void cxios_set_axisgroup_name(axisgroup_Ptr axisgroup_hdl, const char * name, int name_size)
   {
@@ -266,27 +312,4 @@
 
 
-  void cxios_set_axisgroup_ni(axisgroup_Ptr axisgroup_hdl, int ni)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->ni.setValue(ni);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_ni(axisgroup_Ptr axisgroup_hdl, int* ni)
-  {
-    CTimer::get("XIOS").resume();
-    *ni = axisgroup_hdl->ni.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_ni(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->ni.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axisgroup_positive(axisgroup_Ptr axisgroup_hdl, const char * positive, int positive_size)
   {
@@ -315,27 +338,4 @@
 
 
-  void cxios_set_axisgroup_size(axisgroup_Ptr axisgroup_hdl, int size)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->size.setValue(size);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_size(axisgroup_Ptr axisgroup_hdl, int* size)
-  {
-    CTimer::get("XIOS").resume();
-    *size = axisgroup_hdl->size.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_size(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->size.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_axisgroup_standard_name(axisgroup_Ptr axisgroup_hdl, const char * standard_name, int standard_name_size)
   {
@@ -413,72 +413,3 @@
      return isDefined;
   }
-
-
-  void cxios_set_axisgroup_zoom_begin(axisgroup_Ptr axisgroup_hdl, int zoom_begin)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->zoom_begin.setValue(zoom_begin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_zoom_begin(axisgroup_Ptr axisgroup_hdl, int* zoom_begin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_begin = axisgroup_hdl->zoom_begin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_zoom_begin(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->zoom_begin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_axisgroup_zoom_end(axisgroup_Ptr axisgroup_hdl, int zoom_end)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->zoom_end.setValue(zoom_end);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_zoom_end(axisgroup_Ptr axisgroup_hdl, int* zoom_end)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_end = axisgroup_hdl->zoom_end.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_zoom_end(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->zoom_end.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_axisgroup_zoom_size(axisgroup_Ptr axisgroup_hdl, int zoom_size)
-  {
-    CTimer::get("XIOS").resume();
-    axisgroup_hdl->zoom_size.setValue(zoom_size);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_axisgroup_zoom_size(axisgroup_Ptr axisgroup_hdl, int* zoom_size)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_size = axisgroup_hdl->zoom_size.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_axisgroup_zoom_size(axisgroup_Ptr axisgroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = axisgroup_hdl->zoom_size.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
 }
Index: /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 665)
+++ /XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 666)
@@ -262,27 +262,4 @@
 
 
-  void cxios_set_domain_data_n_index(domain_Ptr domain_hdl, int data_n_index)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->data_n_index.setValue(data_n_index);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_data_n_index(domain_Ptr domain_hdl, int* data_n_index)
-  {
-    CTimer::get("XIOS").resume();
-    *data_n_index = domain_hdl->data_n_index.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_data_n_index(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->data_n_index.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_domain_data_ni(domain_Ptr domain_hdl, int data_ni)
   {
Index: /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 665)
+++ /XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 666)
@@ -262,27 +262,4 @@
 
 
-  void cxios_set_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl, int data_n_index)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->data_n_index.setValue(data_n_index);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl, int* data_n_index)
-  {
-    CTimer::get("XIOS").resume();
-    *data_n_index = domaingroup_hdl->data_n_index.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->data_n_index.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
   void cxios_set_domaingroup_data_ni(domaingroup_Ptr domaingroup_hdl, int data_ni)
   {
Index: /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.F90	(revision 665)
+++ /XIOS/trunk/src/interface/fortran_attr/axis_interface_attr.F90	(revision 666)
@@ -31,4 +31,23 @@
 
 
+    SUBROUTINE cxios_set_axis_begin(axis_hdl, begin) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: begin
+    END SUBROUTINE cxios_set_axis_begin
+
+    SUBROUTINE cxios_get_axis_begin(axis_hdl, begin) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)             :: begin
+    END SUBROUTINE cxios_get_axis_begin
+
+    FUNCTION cxios_is_defined_axis_begin(axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_begin
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_begin
+
+
     SUBROUTINE cxios_set_axis_bounds(axis_hdl, bounds, extent1, extent2) BIND(C)
       USE ISO_C_BINDING
@@ -111,23 +130,4 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
     END FUNCTION cxios_is_defined_axis_data_n
-
-
-    SUBROUTINE cxios_set_axis_ibegin(axis_hdl, ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: ibegin
-    END SUBROUTINE cxios_set_axis_ibegin
-
-    SUBROUTINE cxios_get_axis_ibegin(axis_hdl, ibegin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: ibegin
-    END SUBROUTINE cxios_get_axis_ibegin
-
-    FUNCTION cxios_is_defined_axis_ibegin(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_ibegin
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_ibegin
 
 
@@ -174,4 +174,42 @@
 
 
+    SUBROUTINE cxios_set_axis_n(axis_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: n
+    END SUBROUTINE cxios_set_axis_n
+
+    SUBROUTINE cxios_get_axis_n(axis_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)             :: n
+    END SUBROUTINE cxios_get_axis_n
+
+    FUNCTION cxios_is_defined_axis_n(axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_n
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_n
+
+
+    SUBROUTINE cxios_set_axis_n_glo(axis_hdl, n_glo) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: n_glo
+    END SUBROUTINE cxios_set_axis_n_glo
+
+    SUBROUTINE cxios_get_axis_n_glo(axis_hdl, n_glo) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+      INTEGER (KIND=C_INT)             :: n_glo
+    END SUBROUTINE cxios_get_axis_n_glo
+
+    FUNCTION cxios_is_defined_axis_n_glo(axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_n_glo
+      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
+    END FUNCTION cxios_is_defined_axis_n_glo
+
+
     SUBROUTINE cxios_set_axis_name(axis_hdl, name, name_size) BIND(C)
       USE ISO_C_BINDING
@@ -195,23 +233,4 @@
 
 
-    SUBROUTINE cxios_set_axis_ni(axis_hdl, ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: ni
-    END SUBROUTINE cxios_set_axis_ni
-
-    SUBROUTINE cxios_get_axis_ni(axis_hdl, ni) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: ni
-    END SUBROUTINE cxios_get_axis_ni
-
-    FUNCTION cxios_is_defined_axis_ni(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_ni
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_ni
-
-
     SUBROUTINE cxios_set_axis_positive(axis_hdl, positive, positive_size) BIND(C)
       USE ISO_C_BINDING
@@ -235,23 +254,4 @@
 
 
-    SUBROUTINE cxios_set_axis_size(axis_hdl, size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: size
-    END SUBROUTINE cxios_set_axis_size
-
-    SUBROUTINE cxios_get_axis_size(axis_hdl, size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: size
-    END SUBROUTINE cxios_get_axis_size
-
-    FUNCTION cxios_is_defined_axis_size(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_size
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_size
-
-
     SUBROUTINE cxios_set_axis_standard_name(axis_hdl, standard_name, standard_name_size) BIND(C)
       USE ISO_C_BINDING
@@ -316,61 +316,4 @@
     END FUNCTION cxios_is_defined_axis_value
 
-
-    SUBROUTINE cxios_set_axis_zoom_begin(axis_hdl, zoom_begin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_begin
-    END SUBROUTINE cxios_set_axis_zoom_begin
-
-    SUBROUTINE cxios_get_axis_zoom_begin(axis_hdl, zoom_begin) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: zoom_begin
-    END SUBROUTINE cxios_get_axis_zoom_begin
-
-    FUNCTION cxios_is_defined_axis_zoom_begin(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_begin
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_zoom_begin
-
-
-    SUBROUTINE cxios_set_axis_zoom_end(axis_hdl, zoom_end) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_end
-    END SUBROUTINE cxios_set_axis_zoom_end
-
-    SUBROUTINE cxios_get_axis_zoom_end(axis_hdl, zoom_end) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: zoom_end
-    END SUBROUTINE cxios_get_axis_zoom_end
-
-    FUNCTION cxios_is_defined_axis_zoom_end(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_end
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_zoom_end
-
-
-    SUBROUTINE cxios_set_axis_zoom_size(axis_hdl, zoom_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)      , VALUE :: zoom_size
-    END SUBROUTINE cxios_set_axis_zoom_size
-
-    SUBROUTINE cxios_get_axis_zoom_size(axis_hdl, zoom_size) BIND(C)
-      USE ISO_C_BINDING
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-      INTEGER (KIND=C_INT)             :: zoom_size
-    END SUBROUTINE cxios_get_axis_zoom_size
-
-    FUNCTION cxios_is_defined_axis_zoom_size(axis_hdl) BIND(C)
-      USE ISO_C_BINDING
-      LOGICAL(kind=C_BOOL) :: cxios_is_defined_axis_zoom_size
-      INTEGER (kind = C_INTPTR_T), VALUE :: axis_hdl
-    END FUNCTION cxios_is_defined_axis_zoom_size
-
   END INTERFACE
 
